/*
 * This program is free software: you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or (at your
 * option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
package com.inteligr8.maven.aps.modeling.translator;

import com.inteligr8.maven.aps.modeling.util.Index;

/**
 * This class implements an APS Form JSON configuration file translator.
 * 
 * This will translate the form ID embedded into APS Form descriptor.
 * 
 * @author brian@inteligr8.com
 */
public class ApsFormJsonTranslator extends ApsResourceJsonTranslator {
	
	/**
	 * This constructor initializes the default translator.
	 * 
	 * @param apsFormIndex A map of form IDs to form names as defined in the APS Service.
	 */
	public ApsFormJsonTranslator(Index<Long, String> apsFormIndex) {
	    super(apsFormIndex);
	}

}
